Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 472018

Summary: =sci-physics/fastjet-3.0.3-r1 - configure.ac:5: error: 'AM_CONFIG_HEADER': this macro is obsolete
Product: Gentoo Linux Reporter: Jason Mours <jason.mours>
Component: Current packagesAssignee: Gentoo Science Physics related packages <sci-physics>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 451744    
Attachments: aclocal.out
build.log
emerge-info

Description Jason Mours 2013-06-01 16:05:51 UTC
Another : configure.ac:5: error: 'AM_CONFIG_HEADER': this macro is obsolete. : Error in sci-physics/fastjet-3.0.3-r1. :

***** aclocal *****
***** PWD: /var/tmp/portage/sci-physics/fastjet-3.0.3-r1/work/fastjet-3.0.3/plugins/SISCone/siscone
***** aclocal

configure.ac:5: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:5: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1

: Possible info for sci-physics/siscone-2.0.5, ref bug 469292. Posting build.log



Reproducible: Always
Comment 1 Jason Mours 2013-06-01 16:06:16 UTC
Created attachment 349842 [details]
aclocal.out
Comment 2 Jason Mours 2013-06-01 16:06:29 UTC
Created attachment 349844 [details]
build.log
Comment 3 Jason Mours 2013-06-01 16:07:05 UTC
Created attachment 349846 [details]
emerge-info

Just for completeness
Comment 4 S├ębastien Fabbro (RETIRED) gentoo-dev 2013-06-05 16:47:06 UTC
  04 Jun 2013; S├ębastien Fabbro <bicatali@gentoo.org> fastjet-3.0.3-r1.ebuild,
  files/fastjet-3.0.3-system-siscone.patch, metadata.xml:
  Fixed for newer automake (bug #472018), switch to EAPI5